Groovy Documentation

## org.codehaus.groovy.grails.web.metaclass
[Java] Class BindDynamicMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.web.metaclass.BindDynamicMethod

    public class BindDynamicMethod
    extends AbstractDynamicMethodInvocation

A dynamic method present in controllers allowing data binding from a map to a target instance. Example: `def a = new Account() bindData( a, this.params )`

Authors:
  Graeme Rocher

Field Summary
`static java.util.regex.Pattern` | `METHOD_PATTERN`
`static java.lang.String` | `METHOD_SIGNATURE`

Constructor Summary
`BindDynamicMethod()`

Method Summary
`java.lang.Object` | `invoke(java.lang.Object target, java.lang.String methodName, Object[] arguments)`

Methods inherited from class AbstractDynamicMethodInvocation
getPattern, invoke, isMethodMatch, setPattern

Field Detail

### METHOD_PATTERN

    public static final java.util.regex.Pattern METHOD_PATTERN

### METHOD_SIGNATURE

    public static final java.lang.String METHOD_SIGNATURE

Constructor Detail

### BindDynamicMethod

    public BindDynamicMethod()

Method Detail

### invoke

    @Override
    @SuppressWarnings("rawtypes")
    public java.lang.Object invoke(java.lang.Object target, java.lang.String methodName, Object[] arguments)

Groovy Documentation